Qyra
ReferenceUntagged

Update AI settings

Update AI organization settings

PATCH/api/v1/aiAgents/admin/settings

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Request body

{
  "threadRetentionHours": 0,
  "providerApiKeys": {
    "anthropic": "string",
    "google": "string",
    "openai": "string"
  },
  "dataAppModelVisibility": {
    "opus": true,
    "sonnet": true,
    "haiku": true
  },
  "modelVisibility": {
    "anthropic": {
      "allowedModels": [
        "string"
      ],
      "enabled": true
    },
    "google": {
      "allowedModels": [
        "string"
      ],
      "enabled": true
    },
    "openai": {
      "allowedModels": [
        "string"
      ],
      "enabled": true
    }
  },
  "defaultAiAgentModelConfig": {
    "reasoning": true,
    "modelProvider": "string",
    "modelName": "string"
  },
  "requireExplicitSlackChannelLinking": true,
  "mcpAgentsEnabled": true,
  "mcpContentWritesEnabled": true,
  "deepResearchRawSqlEnabled": true,
  "deepResearchLimits": {
    "deadlineMs": 0,
    "maxWarehouseQueries": 0,
    "maxToolCalls": 0,
    "maxSteps": 0,
    "maxTokens": 0
  },
  "aiAgentMemoryEnabled": true,
  "aiAgentReviewsEnabled": true,
  "aiAgentsVisible": true
}

Responses

200 — Updated AI organization settings

{
  "results": {
    "threadRetentionHours": 0,
    "providerApiKeyHints": {
      "anthropic": "string",
      "google": "string",
      "openai": "string"
    },
    "providerApiKeysSet": {
      "anthropic": true,
      "google": true,
      "openai": true
    },
    "dataAppModelVisibility": {
      "opus": true,
      "sonnet": true,
      "haiku": true
    },
    "modelVisibility": {
      "anthropic": {
        "allowedModels": [
          "string"
        ],
        "enabled": true
      },
      "google": {
        "allowedModels": [
          "string"
        ],
        "enabled": true
      },
      "openai": {
        "allowedModels": [
          "string"
        ],
        "enabled": true
      }
    },
    "defaultAiAgentModelConfig": {
      "reasoning": true,
      "modelProvider": "string",
      "modelName": "string"
    },
    "requireExplicitSlackChannelLinking": true,
    "mcpAgentsEnabled": true,
    "mcpContentWritesEnabled": true,
    "deepResearchRawSqlEnabled": true,
    "deepResearchLimits": {
      "deadlineMs": 0,
      "maxWarehouseQueries": 0,
      "maxToolCalls": 0,
      "maxSteps": 0,
      "maxTokens": 0
    },
    "aiAgentMemoryEnabled": true,
    "aiAgentReviewsEnabled": true,
    "aiAgentsVisible": true,
    "organizationUuid": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}